Bug 306661 - Image being created with duplicate file names
Image being created with duplicate file names
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: makebootfat (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Dmitry Butskoy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 06:23 EDT by Joel Andres Granados
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-06 07:05:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel Andres Granados 2007-09-26 06:23:19 EDT
Description of problem:
When using makebootfat the user must specify the image directory.  All the files
that are in this directory are included in the image.  Moreover the app has a -c
option that is used to add files to the image.  When a file is added with the
"-c" option that is already present in the image directory the image ends up
with two files with apparently the same name

Version-Release number of selected component (if applicable):
makebootfat-1.4


How reproducible:
Always, if the file specified file with the "-c" option is contained in the
image directory.


Steps to Reproduce:
1.ll /mp1/isolinux | grep ldlinux.sys
  ldlinux.sys
2.makebootfat -o usb -Y -Z -b /usr/share/makebootfat/x86/ldlinux.bss -m
/usr/share/makebootfat/x86/mbrfat.bin -F -c/mp1/ldlinux.sys /mp1/isolinux
3.mount /dev/sdb /mnt
4.ls /mnt
  ... ldlinux.sys ldlinux.sys

 
Actual results:
1.mount /dev/sdb /mnt
2.ls /mnt
  ... ldlinux.sys ldlinux.sys

Expected results:
This really seems pretty strange to me and I think that the app should choose
one of the files (the one in -c or the one in the image dir) and add that to the
image.

Additional info:
Comment 1 Dmitry Butskoy 2007-09-26 09:27:19 EDT
It is an upstream issue.

I've already sent an email for some person from those project...

It seems it is better to report this (and another similar) bugs upstream,
f.e. at:
http://sourceforge.net/tracker/?atid=409010&group_id=33717&func=browse

On the other hand, I hope this bug is not a blocker for using of makebootfat at
all. Let's create a good diskboot.img with current makebootfat :)

Note You need to log in before you can comment on or make changes to this bug.